import globals from "globals";
import pluginJs from "@eslint/js";


export default [
  { ignores: ['server/routers/old/*'] },
  { files: ["**/*.js"], languageOptions: { sourceType: "commonjs" } },
  { languageOptions: { globals: globals.node } },
  pluginJs.configs.recommended,
  {
    rules: {
      semi: ['warn', 'never'],
      'no-unused-vars': [0],
    }
  }
];